%define name elvis
%define version 2.1_4
%define release 1

Summary: A text editor intended to replace vi.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Editors
Url: ftp://ftp.cs.pdx.edu/pub/elvis/
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Elvis is a clone of vi/ex, the standard UNIX editor.  Elvis supports
nearly all vi/ex commands, in both visual mode and ex mode.  Elvis
features include multiple edit buffers, multiple windows, multiple
user interfaces (including an X interface) and a variety of display
modes.  Elvis also provides on-line help.  The X interface for Elvis
is provided in the elvis-X11 package.

%package X11
Summary: The X Window System interface for the Elvis text editor.
Group: Applications/Editors
Requires: elvis
%description X11
The elvis-X11 package contains the X Window System interface for the
Elvis text editor.  Elvis is a clone of vi/ex, the standard UNIX
editor.  Elvis is provided in the elvis package.

%prep

%setup -q

%build
./configure --bindir=/usr/X11R6/bin --datadir=/usr/lib/elvis --with-x
make
mv elvis xelvis
make clean
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x=no
make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/elvis,man/man1,X11R6/{bin,lib/X11/{bitmaps,pixmaps}}}

install -s -o root -g root -m 0755 elvis $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 xelvis $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -o root -g root -m 0755 ref $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 ctags $RPM_BUILD_ROOT/usr/lib/elvis
install -s -o root -g root -m 0755 elvtags $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 lib/* $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 guix11/elvis.xbm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/bitmaps/
install -o root -g root -m 0644 guix11/elvis.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pixmaps/
install -o root -g root -m 0644 lib/elvis.man $RPM_BUILD_ROOT/usr/man/man1/elvis.1
install -o root -g root -m 0644 lib/ref.man $RPM_BUILD_ROOT/usr/man/man1/ref.1

gzip $RPM_BUILD_ROOT/usr/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.html COPYING INSTALL BUGS
/usr/bin/elvis
/usr/bin/ref
/usr/man/man1/elvis.1.gz
/usr/man/man1/ref.1.gz
/usr/lib/elvis

%files X11
%defattr(-,root,root)
/usr/X11R6/bin/xelvis
/usr/X11R6/lib/X11/bitmaps/elvis.xbm
/usr/X11R6/lib/X11/pixmaps/elvis.xpm


%changelog
* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 2.1_4
- gzip man pages

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- updated/fixed spec, was not installing files
- updated source to 2.1.3
- built for Powertools 6.1

* Sun Mar 7 1999 Michael Maher <mike@redhat.com>
- changed around spec file from ryan and rebuilt

